import { MouseEventHandler, ReactNode } from "react";
import { Sizes, Variant } from "../../util/types";
export interface ButtonProps {
    label?: string;
    size?: Sizes;
    variant?: Variant;
    onClick?: MouseEventHandler<HTMLButtonElement>;
    loading?: boolean;
    disabled?: boolean;
    icon?: ReactNode;
    iconPosition?: "left" | "top" | "bottom" | "right";
    className?: string;
}
declare const Button: (props: ButtonProps) => JSX.Element;
export default Button;
